/*
    Include this file in your project and you have all other includes ready to use too :)

    This file (and pad.c) also includes DOXYGEN (www.doxygen.com) compatible documentation!
*/
#ifndef MYGCN_H
#define MYGCN_H
/*+----------------------------------------------------------------------------------------------+*/
/*!
\mainpage OpenGC Library

\section intro Introduction
   This file is the documentation for the OpenGC homebrew library. \n
   Use it at your own risk! \n\n

   I don't guarantee that it's all correct, so some stuff could be completely wrong :-) \n\n

   If you have any cool stuff (homebrew GC related of course), please email me the code (with a description) so i can add it :) \n
   You will be of course listed in the credits section. \n\n

   When you find bugs/mistakes/stupid docu/etc, feel free to fix and send me an update.\n
   Thanks!\n\n

   None of the contents is supposed to infringe with any copyright laws etc. \n
   However if this is the case, please send me an email (check at www.console-dev.de) and i will remove it.


\section credits Credits
   - Titanik of Crazy Nation (This stuff bases on his released sourcecode as well as on his low level documentation and all these tools which made homebrew development for the GC possible! You rule! \n
   - Peter (who writes this documentation and added some code) (<a href="http://www.console-dev.de">http://www.console-dev.de</a> (OpenGC))
   - Duke of Napalm (thanks the code snipples on your site) \n
   - Desktopman (supplied info about the framebuffer and color conversion as well as a fix for the colorconversion function)\n
   - Yursoft (supplied dvd infos/functions) (<a href="http://www.yursoft.com">yursoft.com</a>)

\section links Usefull sites
   - <a href="http://duke.napalm-x.com">http://duke.napalm-x.com</a>  \n
   - <a href="http://www.gcdev.com">http://www.gcdev.com</a> \n
   - <a href="http://www.gcdev.org">http://www.gcdev.org</a> \n
   - <a href="http://www.gcdev.com/phpBB2">http://www.gcdev.com/phpBB2</a> (Forum)   \n
   - <a href="http://www.freelink.org/gcdev">http://www.freelink.org/gcdev</a> \n
   - <a href="http://groups.yahoo.com/group/gcndev">http://groups.yahoo.com/group/gcndev</a> (Homebrew GC Development Mailinglist)   \n
   - <a href="http://heliscar.com/greg/gamecube.php">http://heliscar.com/greg/gamecube.php</a> (Free Compiler for building the GC files)   \n

\section version Version History
   -  <b>0.0</b>   \n
            Initial release \n

   -  <b>0.1</b>   \n
            FIXED: color conversion function \n
            NEW: ::ASSERT support \n
            NEW: more documentation \n
            IMPROVED: DEBUG_Print() function. \n
            IMPROVED: Debug font supports underscore character \n

   -  <b>0.2</b>   \n
            FIXED: Pad Digital.L and Digital.R were mixed. \n
            NEW: Some low-level DVD functions \n
            NEW: Debug/Release library added. Debug uses asserts, release does not \n
*/
/*!
\brief OGC - Master include

Include this file into your project and it includes all available functions.
Don't forget to compile the required c files, when you do not use the library (libogc.a)
*/
#include "types.h"
#include "random.h"
#include "pad.h"
#include "color.h"
#include "debug.h"
#include "dvd.h"
#include "render.h"
#include "interrupt.h"
#include "audio.h"
#include "video.h"
#include "memory.h"
#include "memcard.h"
/*+----------------------------------------------------------------------------------------------+*/
#endif /* MYGCN_H */
